uses graphABC,ABCobjects;
var x,y,zx,zy,t,pl:int64;
w,h:int64;
мир: array [1..3,1..3] of int64;
текстура: pictureABC;
мирф:text;



begin
deletefile('мир');
assign(мирф,'мир');
rewrite(мирф);
window.Caption:='Game';
window.SetSize(580,440);
window.IsFixedSize:=false;
Writeln('Укажите длинну мира');
Readln(zx);
Writeln('Укажмте высоту мира');
Readln(zy);
pl:=zx*zy;
Writeln(мирф,zx);
writeln(мирф,zy);
loop pl do 
begin
t:=random(9);
Writeln(мирф,x);
Writeln(мирф,y);
Writeln(мирф,t);
if t = 1 then текстура:=PictureABC.Create(x*32,y*32,'data/1.png');
if t = 0 then текстура:=PictureABC.Create(x*32,y*32,'data/0.png');
if t = 2 then текстура:=PictureABC.Create(x*32,y*32,'data/2.png');
if t = 3 then текстура:=PictureABC.Create(x*32,y*32,'data/3.png');
if t = 4 then текстура:=PictureABC.Create(x*32,y*32,'data/4.png');
if t = 5 then текстура:=PictureABC.Create(x*32,y*32,'data/5.png');
if t = 6 then текстура:=PictureABC.Create(x*32,y*32,'data/6.png');
if t = 7 then текстура:=PictureABC.Create(x*32,y*32,'data/7.png');
if t = 8 then текстура:=PictureABC.Create(x*32,y*32,'data/8.png');
x+=1;
if x=zx then
begin
x:=0;
y+=1;
end;
end;
close(мирф);
end.